import { Observable } from 'rxjs';
import { ViewState } from '../view/view-state.service';
export declare class TabViewItemService {
    activateState: Observable<boolean>;
    state: Observable<ViewState>;
    progress: Observable<number>;
    touchProgress: Observable<number>;
    private changeEvent;
    private stateSource;
    private progressSource;
    private touchEvent;
    constructor();
    change(state: boolean): void;
    changeState(state: ViewState): void;
    updateProgress(n: number): void;
    touching(progress: number): void;
}
